%define major      1
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           flite
Version:        1.4
%define subrel	1
Release:        %mkrel 4
Summary:        Small, fast speech synthesis engine (text-to-speech)

Group:          Sound/Utilities
License:        MIT
URL:            http://www.speech.cs.cmu.edu/flite/
Source0:        http://www.speech.cs.cmu.edu/%{name}/packed/%{name}-%{version}/%{name}-%{version}-release.tar.bz2
Source1:        README-ALSA.txt
Patch0:         flite-1.4-mga-texi2html_Makefile.patch
# Originally from PLD and Debian. Combined, modified and added some chunks to fulfill our needs
Patch10:	flite-1.4-linking.patch

# from Fedora, fixes CVE-2014-0027, insecure temporary file use in auserver.c
Patch11:	flite-1.4-auserver.c-Only-write-audio-data-to-a-file-in-debug-CVE-2014-0027.patch

BuildRequires:  texi2html
BuildRequires:  ed
BuildRequires:  alsa-lib-devel
BuildRequires:  autoconf


%description
Flite (festival-lite) is a small, fast run-time speech synthesis engine
developed at CMU and primarily designed for small embedded machines and/or
large servers. Flite is designed as an alternative synthesis engine to
Festival for voices built using the FestVox suite of voice building tools.

%package -n %{libname}
Summary:	Shared libraries for flite
Group:		System/Libraries
Conflicts:	%{name} < 1.4-3

%description -n %{libname}
Shared libraries for Flite, a small, fast speech synthesis engine.

%package -n %{libnamedev}
Summary:        Development files for flite
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for Flite, a small, fast speech synthesis engine.

%prep
%setup -q -n %{name}-%{version}-release
%apply_patches

cp -p %{SOURCE1} .

%build
autoreconf -vfi
%configure2_5x \
	--enable-shared \
	--with-audio=alsa
# This package fails parallel make (thus cannot be built using "_smp_flags")
make

# Build documentation
make -C doc %{name}.html

%install
make install \
	INSTALLBINDIR=%{buildroot}%{_bindir} \
	INSTALLLIBDIR=%{buildroot}%{_libdir} \
	INSTALLINCDIR=%{buildroot}%{_includedir}/%{name}

find %{buildroot} -name "*.a" -delete

%files
%doc ACKNOWLEDGEMENTS README doc/html README-ALSA.txt
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}/


%changelog
* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.4-4.1.mga4
+ Revision: 583620
- add patch from fedora to fix CVE-2014-0027

* Sat Oct 19 2013 umeabot <umeabot> 1.4-4.mga4
+ Revision: 532214
- Mageia 4 Mass Rebuild

* Sun Aug 18 2013 wally <wally> 1.4-3.mga4
+ Revision: 467552
- split out libs
- add patch to fix linking (parts from PLD and Debian)
- rediff texi2html patch to apply with %%apply_patches
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 350552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 barjac <barjac> 1.4-1.mga3
+ Revision: 323266
- change group to new policy
- while attempting to fix build failures updated to 1.4
- removed obsolete patches
- cleaned spec
- patched doc/Makefile to fix two build issues with new texi2html-5.0
- added some unpackaged static libs in -dev package

* Sun Mar 25 2012 dlucio <dlucio> 1.3-1.mga2
+ Revision: 226320
- Group applicatioin fix
- imported package flite

